
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "guitar/version"

Gem::Specification.new do |spec|
  spec.name          = "guitar"
  spec.version       = Guitar::VERSION
  spec.authors       = ["Xin Luo"]
  spec.email         = ["luoxin.net@gmail.com"]

  spec.summary       = %q{Guitar learning assistant.}
  spec.description   = %q{Learn guitar the programmer's way.}
  spec.homepage      = "http://luoxin.net"
  spec.license       = "MIT"
  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_dependency('colorize', '~> 0.8.1')
  spec.add_dependency('fast_osc', '~> 0.0.12')

  spec.add_development_dependency "pry", "~> 0.11.3"
  spec.add_development_dependency "bundler", "~> 1.16"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "minitest", "~> 5.0"
end
